<?

/*
Plugin Name: BanglaFixer
Plugin URI: http://www.vistaarc.com/downloads/wp-bangla-fixer/
Description: Fix Justification & Line Spacing problem of Firefox
Author: M. M. Rifat-Un-Nabi
Version: 1.0
Author URI: http://vistaarc.com
*/

add_action('wp_footer', 'wp_fix');

function wp_fix(){

echo <<<END
	<script type="text/javascript">
		<!--

        var tags = new Array();

        tags[0]="p";
        tags[1]="h1";
        tags[2]="h2";
        tags[3]="h3";
        tags[4]="h4";
        tags[5]="h5";
        tags[6]="h6";
        tags[7]="div";
        tags[8]="span";
        tags[9]="ul";
        tags[10]="li";
        tags[11]="ol";

		if(navigator.userAgent.indexOf("Firefox")>=0) {
            for (var tc = tags.length - 1; tc >= 0; --tc) {
				var allP = document.getElementsByTagName(tags[tc]);
				for (var ctr = allP.length - 1; ctr >= 0; --ctr) {

					if(checkBangla(allP[ctr])) {
						if (allP[ctr].style.textAlign=="justify" || allP[ctr].style.textAlign=="") {
							allP[ctr].style.textAlign="left";
						}
						allP[ctr].style.letterSpacing=0;
					}
				}
            }
		}



		//-->

		function checkBangla(eleP) {

			var char_bn=new Array();

			char_bn[0]='\u09BE';
			char_bn[1]='\u09BF';
			char_bn[2]='\u09C0';
			char_bn[3]='\u09C1';
			char_bn[4]='\u09C2';
			char_bn[5]='\u09C3';
			char_bn[6]='\u09C7';
			char_bn[7]='\u09C8';
			char_bn[8]='\u09CB';
			char_bn[9]='\u09CC';
			char_bn[10]='\u09CD';

			for(var l=0; l<=char_bn.length - 1; l++) {
				if(eleP.textContent.indexOf(char_bn[l])>=0) return true;
			}
			return false;
		}
	</script>
END;
}
?>
